Subject: [Tsvwg] Re: draft-ietf-tsvwg-sctpsocket-01.txt: SO_SNDBUF

From: "La Monte Henry Piggy Yarroll" <[email-masked]>
Date: Sat, 11 Aug 2001 09:20:04 -0500

Jon Grimm <[email-masked]> writes:
> I should really ask this over on tsvwg... but thought I'd toss it out
> here first.  I may be missing something embarassingly obvious.   

See the CC above.

> > 7.1.7 SO_SNDBUF
> > 
> >     Sets send buffer size. For SCTP TCP-style sockets, this controls the
> >     amount of data SCTP may have waiting in internal buffers to be
> >     sent. This option therefore bounds the maximum size of data that can
> >     be sent in a single send call. For UDP-style sockets, the effect is
> >     the same, except that it applies to all associations bound to the
> >     socket descriptor used in the setsockopt() or getsockopt() call. The
> >     option applies to each association's window size seperately. Expects
> >     an integer.
> 
> 
> The words "This option therefore bounds the maximum size of data that
> can be sent in a single send call" seem interesting. Is this conclusion
> true?  If so, what happens if I exceed this number?  EMSGSIZE? 

This sounds like the correct error for me.  I think we probably need
to be explicit about this in the API.

I suspect that we need to examine the API draft in general to identify
cases where we do not explicitly describe the error values to use for
particular conditions.

_______________________________________________
tsvwg mailing list
[email-masked]
http://www1.ietf.org/mailman/listinfo/tsvwg

---

From: "La Monte Henry Piggy Yarroll" <[email-masked]>
Date: Sat, 11 Aug 2001 09:24:58 -0500

See the CC above.

---

From: "La Monte Henry Piggy Yarroll" <[email-masked]>
Date: Sat, 11 Aug 2001 09:20:04 -0500

See the CC above.